import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerSecurityGroupGetResultModel(
    _base.BaseAPIResultModel,
    _nested.SecurityGroupAPIResultNM,
):
    pass


class CloudbrokerSecurityGroupGetProtocol(_base.BaseGetAPIFunctionProtocol):
    def get(
        self,
        *,
        security_group_id: int,
    ) -> CloudbrokerSecurityGroupGetResultModel:
        ...
